Package com.emc.d2fs.models.taxonomy_operation

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.models.taxonomy_operation.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.models.taxonomy_operation package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.models.taxonomy_operation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetTaxonomieContentRequest`
  `createGetTaxonomieContentRequest()`
  Create an instance of `GetTaxonomieContentRequest`
  `GetTaxonomieContentResponse`
  `createGetTaxonomieContentResponse()`
  Create an instance of `GetTaxonomieContentResponse`
  `JAXBElement<Taxonomy>`
  `createGetTaxonomyDetails(Taxonomy value)`
  Create an instance of `JAXBElement``<``Taxonomy``>`
  `JAXBElement<TaxonomyOperation>`
  `createOperations(TaxonomyOperation value)`
  Create an instance of `JAXBElement``<``TaxonomyOperation``>`
  `JAXBElement<TaxonomyOperationResult>`
  `createResults(TaxonomyOperationResult value)`
  Create an instance of `JAXBElement``<``TaxonomyOperationResult``>`
  `Taxonomy`
  `createTaxonomy()`
  Create an instance of `Taxonomy`
  `TaxonomyInfo`
  `createTaxonomyInfo()`
  Create an instance of `TaxonomyInfo`
  `TaxonomyNode`
  `createTaxonomyNode()`
  Create an instance of `TaxonomyNode`
  `TaxonomyOperation`
  `createTaxonomyOperation()`
  Create an instance of `TaxonomyOperation`
  `TaxonomyOperationResult`
  `createTaxonomyOperationResult()`
  Create an instance of `TaxonomyOperationResult`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.models.taxonomy_operation

- ## Method Details

  - ### createTaxonomyOperation

    public TaxonomyOperation createTaxonomyOperation()
    Create an instance of `TaxonomyOperation`

  - ### createTaxonomyOperationResult

    public TaxonomyOperationResult createTaxonomyOperationResult()
    Create an instance of `TaxonomyOperationResult`

  - ### createGetTaxonomieContentRequest

    public GetTaxonomieContentRequest createGetTaxonomieContentRequest()
    Create an instance of `GetTaxonomieContentRequest`

  - ### createGetTaxonomieContentResponse

    public GetTaxonomieContentResponse createGetTaxonomieContentResponse()
    Create an instance of `GetTaxonomieContentResponse`

  - ### createTaxonomy

    public Taxonomy createTaxonomy()
    Create an instance of `Taxonomy`

  - ### createTaxonomyInfo

    public TaxonomyInfo createTaxonomyInfo()
    Create an instance of `TaxonomyInfo`

  - ### createTaxonomyNode

    public TaxonomyNode createTaxonomyNode()
    Create an instance of `TaxonomyNode`

  - ### createOperations

    public JAXBElement<TaxonomyOperation> createOperations(TaxonomyOperation value)
    Create an instance of `JAXBElement``<``TaxonomyOperation``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TaxonomyOperation``>`

  - ### createResults

    public JAXBElement<TaxonomyOperationResult> createResults(TaxonomyOperationResult value)
    Create an instance of `JAXBElement``<``TaxonomyOperationResult``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TaxonomyOperationResult``>`

  - ### createGetTaxonomyDetails

    public JAXBElement<Taxonomy> createGetTaxonomyDetails(Taxonomy value)
    Create an instance of `JAXBElement``<``Taxonomy``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Taxonomy``>`